package com.landray.kmss.sys.attachment.service.spring;

import java.util.Iterator;
import com.landray.kmss.sys.attachment.plugin.HistoryVersionPluginData;
import java.util.List;
import com.landray.kmss.util.StringUtil;
import com.landray.kmss.util.ResourceUtil;
import com.landray.kmss.sys.attachment.plugin.HistoryVersionPlugin;
import java.util.LinkedHashMap;
import java.util.Map;
import javax.servlet.ServletRequest;
import com.landray.kmss.web.taglib.xform.ICustomizeDataSourceWithRequest;

public class SysAttMainHistoryDataSource implements ICustomizeDataSourceWithRequest
{
    public void setRequest(final ServletRequest request) {
    }
    
    public String getDefaultValue() {
        return null;
    }
    
    public Map<String, String> getOptions() {
        final Map<String, String> map = new LinkedHashMap<String, String>();
        final Map<String, List<HistoryVersionPluginData>> moduleMap = HistoryVersionPlugin.getModuleMap();
        for (final String key : moduleMap.keySet()) {
            String name = ResourceUtil.getString(key);
            if (StringUtil.isNull(name)) {
                name = key;
            }
            map.put(key, name);
        }
        return map;
    }
}
